#ifndef CRUDEVICE_H
#define CRUDEVICE_H

#include "ModularDeviceStatus.h"
#include "ModularMregDevice.h"

struct RcRunId;

class CruDevice : public ModularMregDevice
{
    Q_OBJECT
public:
    explicit CruDevice(const DeviceIndex &index, QObject *parent = nullptr);

public slots:
    void preRunReset(const QVariant &startEvNum, const RcRunId &rcRunId);
signals:
    void preRunReseted(const DeviceIndex &index, const RcRunId &rcRunId) const;

protected:
    bool readStatus() override;
    bool writeConfig() override;

    ModularDeviceStatus status;
};

#endif // CRUDEVICE_H
