#ifndef FILEWATCHERAPP_H
#define FILEWATCHERAPP_H

#include "app/DaqCoreApp.h"
#include <QCommandLineOption>

#include "FileWatcherStartupOptions.h"

class FileWatcherApp : public DaqCoreApp
{
public:
    FileWatcherApp(int &_argc, char *_argv[]);
    FileWatcherStartupOptions getStartupOptions() const { return so; }

protected:
    virtual void setupOptions() override;
    virtual void processParseResults(QCommandLineParser &parser) override;
    virtual bool hasConfigSelectorOption() const override { return true; }

private:
    FileWatcherStartupOptions so;

    QCommandLineOption filePathOption;
};

#endif // FILEWATCHERAPP_H
