#include "FileWriter.h"

#include <QDebug>
#include <QString>
#include <QTextStream>


FileWriter::FileWriter(QString fileName):dataFile(fileName)
{
}

void FileWriter::write(const QMap<quint32, QVector<double> > &counters)
{
    dataFile.open( QIODevice::WriteOnly | QIODevice::Text );
    QTextStream out(&dataFile);

    foreach(quint32 devId, counters.keys()){
        for(int ch=0; ch < counters[devId].size(); ch++){
            out << ch <<' '<<counters[devId][ch] << '\n';
            if(counters[devId][ch])
                qDebug() << ch << '\t' << counters[devId][ch];
        }
    }
    dataFile.close();
    qDebug()<< "counters writen to "<<dataFile.fileName();
}
