#ifndef GENSERVERSTATUS_H
#define GENSERVERSTATUS_H

#include <QMetaType>
#include <QHostAddress>

struct GenServerStatus
{
    int tcpPort = 0;
    bool isFree = true;
    QHostAddress peerHost;
    quint16 peerPort = 0;

    int id = -1;
    int workLoop = 0;
    quint64 total_events = 0;
    quint64 total_size = 0;

    quint64 numberBytesSent = 0;
    quint64 numberBytesDropped = 0;
};
Q_DECLARE_METATYPE(GenServerStatus)

#endif // GENSERVERSTATUS_H
