#ifndef MSCHISTDATA_H
#define MSCHISTDATA_H

#include <QMap>
#include <QMetaType>
#include <QVector>

struct MscHistPoint
{
    double x=0;
    double y=0;
};

typedef QVector<MscHistPoint> MscHistData;

struct MscHist
{
    MscHistData plot;
    MscHistData time;
};

struct MscDevHists
{
    QMap<int, MscHist> hists; // pre histId
};
Q_DECLARE_METATYPE(MscDevHists)

#endif // MSCHISTDATA_H
