#include "TqdcDeviceGlobal.h"

#include "TqdcDevice.h"
#include "TqdcSignalRouter.h"

TqdcDeviceGlobal::TqdcDeviceGlobal(const DeviceIndex &index, QObject *parent)
    :
    MstreamMregDevGlobal(new TqdcDevice(index), devStatus, parent)
    , devStatus(index)
{
    auto device = getDevice<TqdcDevice>();
    TqdcSignalRouter::instance().connect_TqdcDeviceGlobal(this, device);
}
