/*
**    Copyright 2020 Ilia Slepnev
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#include "AdcSystemConfigConverter.h"

#include "AdcSystem/DominoSettings.h"

namespace {
}

// -------------- DominoSettings
template<>
bool AbstractConfigConverter<DominoSettings>::classIsObject()
{
    return true;
}

template<>
QJsonObject AbstractConfigConverter<DominoSettings>::toJsonObject(const DominoSettings &in)
{
    QVariantMap m;
    return fromVariantMap(m);
}

template<>
DominoSettings AbstractConfigConverter<DominoSettings>::fromJsonObject(const QJsonObject &in)
{
    DominoSettings out;
    return out;
}

template<>
QJsonValue AbstractConfigConverter<DominoSettings>::toJsonValue(const DominoSettings &in)
{
    return toJsonObject(in);
}

template<>
DominoSettings AbstractConfigConverter<DominoSettings>::fromJsonValue(const QJsonValue &in)
{
    return fromJsonObject(in.toObject());
}

template<>
void AbstractConfigConverter<DominoSettings>::registerSubTypes()
{
}
