#ifndef BASEDEVICEMODULE_H
#define BASEDEVICEMODULE_H

#include "SdbDeviceModule.h"
#include <optional>

template <typename Derived>
class BaseDeviceModule: public SdbDeviceModule
{
public:
    explicit BaseDeviceModule(const MregBusInterface &bus)
        : SdbDeviceModule(bus) {}
    virtual ~BaseDeviceModule() = default;

    void init() override {
        init_impl();
    }
};

#endif // BASEDEVICEMODULE_H
