/*
**    Copyright 2022 Ilia Slepnev
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef BOARDGPIOCONFIG_H
#define BOARDGPIOCONFIG_H

#include <QMap>

class BoardGpioChannelConfig
{
public:
    friend bool operator==(const BoardGpioChannelConfig &, const BoardGpioChannelConfig &) = default;

    bool tri = false;
    bool out = false;
};

class BoardGpioConfig
{
public:
    friend bool operator==(const BoardGpioConfig &, const BoardGpioConfig &) = default;

    QMap<int, BoardGpioChannelConfig> channels;
};

#endif // BOARDGPIOCONFIG_H
