#ifndef CLOCKDIVIDERCONTROLMODULE_H
#define CLOCKDIVIDERCONTROLMODULE_H

#include "device-modules/BaseDeviceModule.h"

#include <optional>

#include "ClockDividerStatus.h"

class ClockDividerControlModule : public BaseDeviceModule<ClockDividerControlModule>
{
public:
    explicit ClockDividerControlModule(const MregBusInterface &bus)
        : BaseDeviceModule(bus)
    {}

    static QList<AFI_SDB_ID> getSupportedSdbIds();

    void post_init() override {}
    std::optional<ClockDividerStatus> readStatus();
    bool setResetEn(bool en);
};

#endif // CLOCKDIVIDERCONTROLMODULE_H
