#ifndef ADCMPDTRIGPOLARITYWIDGET_H
#define ADCMPDTRIGPOLARITYWIDGET_H

#include <QWidget>

namespace Ui {
class AdcMpdTrigPolarityWidget;
}

class AdcMpdTrigPolarityWidget : public QWidget
{
    Q_OBJECT

public:
    explicit AdcMpdTrigPolarityWidget(QWidget *parent = nullptr);
    ~AdcMpdTrigPolarityWidget();
    void setState(Qt::CheckState st) const;
    Qt::CheckState currentState() const;

signals:
    void stateChanged() const;

private slots:
    void sendState(bool st) const;

private:
    Ui::AdcMpdTrigPolarityWidget *ui;
};

#endif // ADCMPDTRIGPOLARITYWIDGET_H
