#ifndef RCCLIENTCONFIG_H
#define RCCLIENTCONFIG_H

#include "base/ClientIndex.h"
#include "base/ClientIndexEnabled.h"

struct RcClientConfig
{
    RcClientConfig(bool en = true)
        : en(en)
    {}
    friend bool operator==(const RcClientConfig &, const RcClientConfig &) = default;

    bool en;
    bool evNumCheck = false;
};
Q_DECLARE_METATYPE(RcClientConfig)


struct RcClientConfigMap : public QMap<ClientIndex, RcClientConfig>
{
    RcClientConfigMap &operator=(const RcClientConfigMap &) = default;

    ClientIndexSet getEnabledSet() const;
    ClientIndexEnabledMap getClientIndexEnabledMap() const;

};
Q_DECLARE_METATYPE(RcClientConfigMap)

#endif // RCCLIENTCONFIG_H
