//#include "FileWatcherMainWindow.h"
#include "FileWatcherCore.h"

#include "base/app/RunGuard.h"
#include "base/Globals.h"
#include "mongo/PrintConfigMap.h"
#include "FileWatcherApp.h"

int main(int argc, char *argv[])
{
    Globals::setDaqModuleType(DaqModule::Type::T0CfgMonitor);
    FileWatcherApp daqApp(argc, argv);
    daqApp.init();

    if(daqApp.hasConfigListOpt())
        printConfigMap();
    int ret = 1;
    {
        RunGuard::runSingleOrExit();
//        FileWatcherMainWindow *mw = nullptr;
//        if (daqApp.isGuiApp()) {
//            mw = new FileWatcherMainWindow;
//            mw->show();
//        }
        FileWatcherCore core(daqApp.getStartupOptions());
        ret = daqApp.exec();
//        delete mw;
    }
    return ret;
}
