#ifndef EVBWRITERCONFIG_H
#define EVBWRITERCONFIG_H

#include <QMetaType>

struct EvbWriterConfig
{
    friend bool operator==(const EvbWriterConfig &, const EvbWriterConfig &) = default;
    void fixFilePrefix();

    QString storageDir;
    QString filePrefix = "run";
    bool addRunIndex = true;
    bool addRunNumber = true;
    bool addLocalProgramIndex = false;
    bool addTimestamp = false;
    bool protectFile = true;
};
Q_DECLARE_METATYPE(EvbWriterConfig)

QDebug operator<<(QDebug dbg, const EvbWriterConfig &c);
QDataStream &operator<<(QDataStream &out, const EvbWriterConfig &r);
QDataStream &operator>>(QDataStream &in, EvbWriterConfig &r);

#endif // EVBWRITERCONFIG_H
