#ifndef TQDCAPP_H
#define TQDCAPP_H

#include "app/DaqGuiApp.h"
#include "TqdcStartupOptions.h"

class TqdcApp : public DaqGuiApp
{
public:
    TqdcApp(int &_argc, char *_argv[]);
    TqdcStartupOptions getStartupOptions() const
    { return startupOptions; }

protected:
    virtual void setupOptions() override;
    virtual void processParseResults(QCommandLineParser &parser) override;
    virtual QPixmap getSplashPixmap() const override;
    virtual bool hasConfigSelectorOption() const override { return true; }

private:
    TqdcStartupOptions startupOptions;

    QCommandLineOption telnetPortOption;
};

#endif // TQDCAPP_H
