#include "DevStreamDecoder.h"

DevStreamDecoder::DevStreamDecoder(QObject *p)
    : MpdDataDecoder(p)
{
    qRegisterMetaType<DecodedData>();
    setFlushFunc(std::bind(&DevStreamDecoder::flushData, this));
}

void DevStreamDecoder::flushData()
{
    auto decodedData = getDecodedData();
    emit deviceDataUpdated(decodedData);
}
